Generated from
@teamgrid/cli@1.0.6at Developer Platform commite6f6b47fa223. Runnode scripts/sync-cli-reference.mjs --checkto detect drift; do not edit this page manually.
read and administer automation definitions.
Global options
Global options can be placed before the command group.
| Option | Description | Required | Choices | Default |
|---|---|---|---|---|
-V, --version |
output the version number | No | — | — |
-o, --output <format> |
output format | No | table, json, jsonl |
table |
--profile <name> |
credential profile | No | — | — |
--base-url <url> |
override the regional API v1 base URL | No | — | — |
--timeout <milliseconds> |
request timeout | No | — | 30000 |
--retries <count> |
safe-request retry count (0–5) | No | — | 2 |
Commands
teamgrid automation-definitions list— List automation definitions.teamgrid automation-definitions get— Get an automation definition.teamgrid automation-definitions create— Create an automation definition.teamgrid automation-definitions update— Update an automation definition.teamgrid automation-definitions archive— Archive an automation definition.teamgrid automation-definitions restore— Restore an automation definition.
teamgrid automation-definitions list
List automation definitions.
Syntax
teamgrid automation-definitions list [options]
API operation and scope
| Operation | HTTP | Scope | API reference |
|---|---|---|---|
listAutomationDefinitions |
GET /automation-definitions |
automations:read |
List automation definitions |
Command options
| Option | Description | Required | Choices | Default |
|---|---|---|---|---|
--all |
read every page | No | — | — |
--cursor <cursor> |
resume from an opaque cursor | No | — | — |
--limit <number> |
resources per page (1–100) | No | — | — |
--max-pages <number> |
safety limit for –all (1–10000) | No | — | 10000 |
--archived <boolean> |
return archived definitions | No | — | — |
The global options and implicit -h, --help option also apply.
Output
Without --all, table output renders the page data and JSON preserves the complete page envelope. With --all, table and JSON aggregate all traversed resources while JSONL streams one resource per line.
Example
teamgrid automation-definitions list
Exit codes
The command uses the stable CLI exit codes (0, 1, 2, 3, 4, 5, 6, 7, 130). See the linked table for the meaning and automation behavior of each code.
teamgrid automation-definitions get
Get an automation definition.
Syntax
teamgrid automation-definitions get [options] <id>
API operation and scope
| Operation | HTTP | Scope | API reference |
|---|---|---|---|
getAutomationDefinition |
GET /automation-definitions/{id} |
automations:read |
Get an automation definition |
Arguments
| Argument | Required | Variadic | Choices | Default | Description |
|---|---|---|---|---|---|
id |
Yes | No | — | — | Identifier or value named by the command syntax. |
Command options
This command defines no additional options.
The global options and implicit -h, --help option also apply.
Output
The command uses the global output mode: human-readable table by default, or machine-readable json/jsonl.
Example
teamgrid automation-definitions get ID
Exit codes
The command uses the stable CLI exit codes (0, 1, 2, 3, 4, 5, 6, 7, 130). See the linked table for the meaning and automation behavior of each code.
teamgrid automation-definitions create
Create an automation definition.
Syntax
teamgrid automation-definitions create [options]
API operation and scope
| Operation | HTTP | Scope | API reference |
|---|---|---|---|
createAutomationDefinition |
POST /automation-definitions |
automations:write |
Create an automation definition |
Command options
| Option | Description | Required | Choices | Default |
|---|---|---|---|---|
--data <json|@file|-> |
automation definition JSON | Yes | — | — |
--idempotency-key <key> |
stable retry key | No | — | — |
The global options and implicit -h, --help option also apply.
Output
The command uses the global output mode: human-readable table by default, or machine-readable json/jsonl.
Example
teamgrid automation-definitions create --data @request.json
Exit codes
The command uses the stable CLI exit codes (0, 1, 2, 3, 4, 5, 6, 7, 130). See the linked table for the meaning and automation behavior of each code.
teamgrid automation-definitions update
Update an automation definition.
Syntax
teamgrid automation-definitions update [options] <id>
API operation and scope
| Operation | HTTP | Scope | API reference |
|---|---|---|---|
updateAutomationDefinition |
PATCH /automation-definitions/{id} |
automations:write |
Update an automation definition |
Arguments
| Argument | Required | Variadic | Choices | Default | Description |
|---|---|---|---|---|---|
id |
Yes | No | — | — | Identifier or value named by the command syntax. |
Command options
| Option | Description | Required | Choices | Default |
|---|---|---|---|---|
--data <json|@file|-> |
automation definition update JSON | Yes | — | — |
--if-match <revision|etag> |
latest automation revision or strong ETag | Yes | — | — |
The global options and implicit -h, --help option also apply.
Output
The command uses the global output mode: human-readable table by default, or machine-readable json/jsonl.
Example
teamgrid automation-definitions update ID --data @request.json --if-match REVISION
Exit codes
The command uses the stable CLI exit codes (0, 1, 2, 3, 4, 5, 6, 7, 130). See the linked table for the meaning and automation behavior of each code.
teamgrid automation-definitions archive
Archive an automation definition.
Syntax
teamgrid automation-definitions archive [options] <id>
API operation and scope
| Operation | HTTP | Scope | API reference |
|---|---|---|---|
archiveAutomationDefinition |
DELETE /automation-definitions/{id} |
automations:write |
Archive an automation definition |
Arguments
| Argument | Required | Variadic | Choices | Default | Description |
|---|---|---|---|---|---|
id |
Yes | No | — | — | Identifier or value named by the command syntax. |
Command options
| Option | Description | Required | Choices | Default |
|---|---|---|---|---|
--if-match <revision|etag> |
latest automation revision or strong ETag | Yes | — | — |
-y, --yes |
skip the destructive-operation confirmation | No | — | — |
The global options and implicit -h, --help option also apply.
Output
The command uses the global output mode: human-readable table by default, or machine-readable json/jsonl.
Confirmation and automation
This command can change or remove data and asks for confirmation by default. In a reviewed non-interactive job, pass --yes or set TEAMGRID_CLI_ASSUME_YES=1; otherwise the command exits with code 2. Cancelling an interactive confirmation exits with code 0.
Example
teamgrid automation-definitions archive ID --if-match REVISION
Exit codes
The command uses the stable CLI exit codes (0, 1, 2, 3, 4, 5, 6, 7, 130). See the linked table for the meaning and automation behavior of each code.
teamgrid automation-definitions restore
Restore an automation definition.
Syntax
teamgrid automation-definitions restore [options] <id>
API operation and scope
| Operation | HTTP | Scope | API reference |
|---|---|---|---|
restoreAutomationDefinition |
POST /automation-definitions/{id}/restore |
automations:write |
Restore an automation definition |
Arguments
| Argument | Required | Variadic | Choices | Default | Description |
|---|---|---|---|---|---|
id |
Yes | No | — | — | Identifier or value named by the command syntax. |
Command options
| Option | Description | Required | Choices | Default |
|---|---|---|---|---|
--if-match <revision|etag> |
latest automation revision or strong ETag | Yes | — | — |
The global options and implicit -h, --help option also apply.
Output
The command uses the global output mode: human-readable table by default, or machine-readable json/jsonl.
Example
teamgrid automation-definitions restore ID --if-match REVISION
Exit codes
The command uses the stable CLI exit codes (0, 1, 2, 3, 4, 5, 6, 7, 130). See the linked table for the meaning and automation behavior of each code.